-- configure the litee.nvim library
require('litee.lib').setup({
  tree = {
    icon_set = "codicons"
  },
  panel = {
    orientation = "left",
    panel_size  = 30
  }
})
-- configure litee-calltree.nvim
require('litee.calltree').setup({
  map_resize_keys = false,
  on_open = 'panel',
  keymaps = {
    expand = "<space>",
    collapse = "zc",
    collapse_all = "zM",
    jump = "<CR>",
    jump_split = "s",
    jump_vsplit = "v",
    jump_tab = "t",
    hover = "i",
    details = "d",
    close = "X",
    close_panel_pop_out = "<Esc>",
    help = "?",
    hide = "H",
    switch = "S",
    focus = "f"
  },
})
-- configure litee-symboltree.nvim
require('litee.symboltree').setup({
  map_resize_keys = false,
  on_open = 'panel',
  keymaps = {
    expand = '<space>',
    collapse = 'zc',
    collapse_all = 'zM',
    jump = '<CR>',
    jump_split = 's',
    jump_vsplit = 'v',
    jump_tab = 't',
    hover = 'i',
    details = 'd',
    close = 'X',
    close_panel_pop_out = '<Esc>',
    help = '?',
    hide = 'H',
  },
})

require('litee.gh').setup({})

